Index: gnu/testlet/java/net/Socket/SocketTest.java
===================================================================
RCS file: /cvs/mauve/mauve/gnu/testlet/java/net/Socket/SocketTest.java,v
retrieving revision 1.20
diff -u -r1.20 SocketTest.java
--- gnu/testlet/java/net/Socket/SocketTest.java	3 May 2004 03:21:15 -0000	1.20
+++ gnu/testlet/java/net/Socket/SocketTest.java	23 Jul 2004 10:36:40 -0000
@@ -194,6 +194,7 @@
   public void test_params()
   {
     String host = "mx10.gnu.org";
+    String hostalt = "mail.gnu.org";
     int port = 25;
 
     harness.checkPoint("params");
@@ -240,11 +241,15 @@
       
       harness.debug("sock.getInetAddress().toString(): " +
 		    sock.getInetAddress().toString());
-      harness.check(sock.getInetAddress().toString().indexOf(host) != -1,
-		    "getInetAddress().toString() should contain host " + host);
+      harness.check(sock.getInetAddress().toString().indexOf(host) != -1 ||
+                    sock.getInetAddress().toString().indexOf(hostalt) != -1,
+		    "getInetAddress().toString() should contain host " +
+                    host + " or " + hostalt);
       harness.debug("sock.toString(): " + sock.toString());
-      harness.check(sock.toString().indexOf(host) != -1,
-		    "toString() should contain host " + host);
+      harness.check(sock.toString().indexOf(host) != -1 ||
+                    sock.toString().indexOf(hostalt) != -1,
+		    "toString() should contain host " + host + " or " +
+                    hostalt);
 
     }
     catch (Exception e) {
